/* Common button styles */
.button {
	min-width: 150px;
	max-width: 250px;
	display: block;
	padding: 1em 2em;
	border: none;
	background: none;
	color: inherit;
	vertical-align: middle;
	position: relative;
	z-index: 1;
	-webkit-backface-visibility: hidden;
	-moz-osx-font-smoothing: grayscale;
	color: #373435;
}


.button2 {
	min-width: 150px;
	max-width: 250px;
	display: block;
	padding: 1em 2em;
	border: none;
	background: none;
	color: inherit;
	vertical-align: middle;
	position: relative;
	z-index: 1;
	-webkit-backface-visibility: hidden;
	-moz-osx-font-smoothing: grayscale;
}

.button:focus {
	outline: none;
}

.button2:focus {
	outline: none;
}

.button > span {
	vertical-align: middle;
}

.button2 > span {
	vertical-align: middle;
}

/* Sizes */
.button--size-s {
	font-size: 14px;
}
.button--size-m {
	font-size: 16px;
}
.button--size-l {
	font-size: 18px;
}

.button2--size-s {
	font-size: 14px;
	color: #fff;
}
.button2--size-m {
	font-size: 16px;
	color: #fff;
}
.button2--size-l {
	font-size: 18px;
	color: #fff;
}

/* Typography and Roundedness */
.button--text-upper {
	text-transform: uppercase;
	font-family: 'Montserrat', sans-serif;
}

.button--text-thin {
	font-weight: 300;
}

.button--text-medium {
	font-weight: 500;
}

.button--text-thick {
	font-weight: 600;
}

.button--round-s {
	border-radius: 5px;
}

.button--round-m {
	border-radius: 15px;
}

.button--round-l {
	border-radius: 40px;
}

.button2--text-upper {
	text-transform: uppercase;
	font-family: 'Montserrat', sans-serif;
	color: #fff;
}

.button2--text-thin {
	font-weight: 300;
	color: #fff;
}

.button2--text-medium {
	font-weight: 500;
	color: #fff;
}

.button2--text-thick {
	font-weight: 600;
	color: #fff;
}

.button2--round-s {
	border-radius: 5px;
	border-color: #fff;
}

.button2--round-m {
	border-radius: 15px;
	border-color: #fff;
}

.button2--round-l {
	border-radius: 40px;
	border-color: #fff;
}

/* Borders */
.button--border-thin {
	border: 1px solid;
}
.button--border-medium {
	border: 2px solid;
	color: #001126;
}

.button--border-thick {
	border: 3px solid;
}

.button2--border-thin {
	border: 1px solid;
	border-color: #fff;
}
.button2--border-medium {
	border: 2px solid;
	color: #fff;
}

.button2--border-thick {
	border: 3px solid;
	border-color: #fff;
}

/* Individual button styles */
/* Ujarak */
.button--ujarak {
	overflow: hidden;
	width: 200px;
	-webkit-transition: border-color 0.4s, color 0.4s;
	transition: border-color 0.4s, color 0.4s;
}
.button--ujarak::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: #ff2c16;
	z-index: -1;
	opacity: 0;
	-webkit-transform: scale3d(0.7, 1, 1);
	transform: scale3d(0.7, 1, 1);
	-webkit-transition: -webkit-transform 0.4s, opacity 0.4s;
	transition: transform 0.4s, opacity 0.4s;
	-webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
	transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}
.button--ujarak.button--round-s::before {
	border-radius: 2px;
}
.button--ujarak.button--inverted::before {
	background: #ff2c16;
}
.button--ujarak,
.button--ujarak::before {
	-webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
	transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}
.button--ujarak:hover {
	color: #fff;
	border-color: #ff2c16;
}
.button--ujarak.button--inverted:hover {
	color: #ff2c16;
	border-color: #fff;
}
.button--ujarak:hover::before {
	opacity: 1;
	-webkit-transform: translate3d(0, 0, 0);
	transform: translate3d(0, 0, 0);
}

/* Wayra */
.button--wayra {
	overflow: hidden;
	width: 237px;
	
	-webkit-transition: border-color 0.3s, color 0.3s;
	transition: border-color 0.3s, color 0.3s;
	-webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
	transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}
.button--wayra::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 150%;
	height: 100%;
	background: #001126;
	z-index: -1;
	
	-webkit-transform: rotate3d(0, 0, 1, -45deg) translate3d(0, -3em, 0);
	transform: rotate3d(0, 0, 1, -45deg) translate3d(0, -3em, 0);
	-webkit-transform-origin: 0% 100%;
	transform-origin: 0% 100%;
	-webkit-transition: -webkit-transform 0.3s, opacity 0.3s, background-color 0.3s;
	transition: transform 0.3s, opacity 0.3s, background-color 0.3s;
}
.button--wayra:hover {
	color: #fff;
	border-color: #001126;
}
.button--wayra.button--inverted:hover {
	color: #ff2c16;
	border-color: #fff;
}
.button--wayra:hover::before {
	opacity: 1;
	background-color: #001126;

	-webkit-transform: rotate3d(0, 0, 1, 0deg);
	transform: rotate3d(0, 0, 1, 0deg);
	-webkit-transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
	transition-timing-function: cubic-bezier(0.2, 1, 0.3, 1);
}
.button--wayra.button--inverted:hover::before {
	background-color: #fff;
}
